//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System.Web.UI.WebControls;

using CommunityServer.Components;

namespace CommunityServer.Discussions.Controls 
{

    public class HideReadPostsDropDownList : DropDownList 
    {
        User user;

        public HideReadPostsDropDownList() 
        {
            user = CSContext.Current.User;

            // Add options to the drop down list
            //
            Items.Add(new ListItem(CommunityServer.Components.ResourceManager.GetString("ViewThreads_ShowRead"), "False"));
            Items.Add(new ListItem(CommunityServer.Components.ResourceManager.GetString("ViewThreads_HideRead"), "True"));

        }

        public new bool SelectedValue 
        {
            get { return bool.Parse(base.SelectedValue); }
            set 
            { 
                // Deselect current item
                Items.FindByValue( base.SelectedValue ).Selected = false;
                Items.FindByValue( value.ToString() ).Selected = true; 
            }
        }

    }
}
